Subject: frame-auto-hide-function

From: Glenn Morris <[email-masked]>
Date: Fri, 07 Oct 2011 18:10:37 -0400

Package: emacs
Version: 24.0.90

frame-auto-hide-function has no NEWS entry, and is missing a :version tag.

It needs a NEWS entry (which should contain some mention of "iconify")
because it changes existing behaviour.

Example: I like my diff buffers in a separate frame, so I use:

emacs -Q --eval "(setq special-display-regexps '(\".*diff\\*\"))"

C-x C-f /path/to/modified/file/under/vcs
C-x v =
   -> diff buffer pops up in new frame

Now using "C-x k" to kill the diff buffer iconifies the associated
frame. It used to just delete it (which I think was better, but YMMV).